%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Task-Weaken
Version:       1.04
Release:       1mamba
Summary:       Task::Weaken - Ensure that a platform has weaken support
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      gil <puntogil@libero.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Task-Weaken-%{version}.tar.gz
License:       GPL, Artistic
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
One recurring problem in modules that use Scalar::Util's weaken function is
that it is not present in the pure-perl variant.

This restores the functionality testing to a dependency you do once in
your Makefile.PL, rather than something you have to write extra tests
for each time you write a module.

%prep
%setup -q -n Task-Weaken-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{perl_vendorlib}/
%{_mandir}/man3/*.3pm.gz
%doc Changes LICENSE README

%changelog
* Mon May 02 2011 Automatic Build System <autodist@mambasoft.it> 1.04-1mamba
- automatic update by autodist

* Fri Feb 18 2011 gil <puntogil@libero.it> 1.02-1mamba
- package created by autospec
